<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpColorScale: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpColorHexEntry.html" title="GimpColorHexEntry">
<link rel="next" href="GimpColorSelection.html" title="GimpColorSelection">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpColorScale.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpColorScale.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpColorScale.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpColorScale.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpColorHexEntry.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpColorSelection.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpColorScale"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpColorScale.top_of_page"></a>GimpColorScale</span></h2>
<p>GimpColorScale — Fancy colored sliders.</p>
</td>
<td class="gallery_image" valign="top" align="right"><img src="gimp-widget-color-scale.png"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpColorScale.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpColorScale.html#gimp-color-scale-new" title="gimp_color_scale_new ()">gimp_color_scale_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorScale.html#gimp-color-scale-set-channel" title="gimp_color_scale_set_channel ()">gimp_color_scale_set_channel</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorScale.html#gimp-color-scale-set-color" title="gimp_color_scale_set_color ()">gimp_color_scale_set_color</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpColorScale.html#gimp-color-scale-set-color-config" title="gimp_color_scale_set_color_config ()">gimp_color_scale_set_color_config</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorScale.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody><tr>
<td class="property_type"><a class="link" href="GimpColorSelector.html#GimpColorSelectorChannel" title="enum GimpColorSelectorChannel"><span class="type">GimpColorSelectorChannel</span></a></td>
<td class="property_name"><a class="link" href="GimpColorScale.html#GimpColorScale--channel" title="The “channel” property">channel</a></td>
<td class="property_flags">Read / Write / Construct</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorScale.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpColorScale.html#GimpColorScale-struct" title="GimpColorScale">GimpColorScale</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpColorScale.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkRange.html#GtkRange-struct">GtkRange</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkScale.html#GtkScale-struct">GtkScale</a>
                        <span class="lineart">╰──</span> GimpColorScale
</pre>
</div>
<div class="refsect1">
<a name="GimpColorScale.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpColorScale implements
 AtkImplementor,  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a> and  <a href="../gtk2/gtk2-Orientable.html#GtkOrientable-struct">GtkOrientable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpColorScale.description"></a><h2>Description</h2>
<p>Fancy colored sliders.</p>
</div>
<div class="refsect1">
<a name="GimpColorScale.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-color-scale-new"></a><h3>gimp_color_scale_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_color_scale_new (<em class="parameter"><code><a href="../gtk2/gtk2-Standard-Enumerations.html#GtkOrientation"><span class="type">GtkOrientation</span></a> orientation</code></em>,
                      <em class="parameter"><code><a class="link" href="GimpColorSelector.html#GimpColorSelectorChannel" title="enum GimpColorSelectorChannel"><span class="type">GimpColorSelectorChannel</span></a> channel</code></em>);</pre>
<p>Creates a new <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-color-scale-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>orientation</p></td>
<td class="parameter_description"><p>the scale's orientation (horizontal or vertical)</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>channel</p></td>
<td class="parameter_description"><p>the scale's color channel</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-color-scale-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> widget</p>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-scale-set-channel"></a><h3>gimp_color_scale_set_channel ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_scale_set_channel (<em class="parameter"><code><a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> *scale</code></em>,
                              <em class="parameter"><code><a class="link" href="GimpColorSelector.html#GimpColorSelectorChannel" title="enum GimpColorSelectorChannel"><span class="type">GimpColorSelectorChannel</span></a> channel</code></em>);</pre>
<p>Changes the color channel displayed by the <em class="parameter"><code>scale</code></em>
.</p>
<div class="refsect3">
<a name="gimp-color-scale-set-channel.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>scale</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>channel</p></td>
<td class="parameter_description"><p>the new color channel</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-scale-set-color"></a><h3>gimp_color_scale_set_color ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_scale_set_color (<em class="parameter"><code><a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> *scale</code></em>,
                            <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a> *rgb</code></em>,
                            <em class="parameter"><code>const <a href="../html/libgimpcolor-GimpHSV.html#GimpHSV"><span class="type">GimpHSV</span></a> *hsv</code></em>);</pre>
<p>Changes the color value of the <em class="parameter"><code>scale</code></em>
.</p>
<div class="refsect3">
<a name="gimp-color-scale-set-color.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>scale</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> widget</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>rgb</p></td>
<td class="parameter_description"><p>the new color as <a href="../html/libgimpcolor-GimpRGB.html#GimpRGB"><span class="type">GimpRGB</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>hsv</p></td>
<td class="parameter_description"><p>the new color as <a href="../html/libgimpcolor-GimpHSV.html#GimpHSV"><span class="type">GimpHSV</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
</div>
<hr>
<div class="refsect2">
<a name="gimp-color-scale-set-color-config"></a><h3>gimp_color_scale_set_color_config ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_color_scale_set_color_config (<em class="parameter"><code><a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> *scale</code></em>,
                                   <em class="parameter"><code><span class="type">GimpColorConfig</span> *config</code></em>);</pre>
<p>Sets the color management configuration to use with this color scale.</p>
<div class="refsect3">
<a name="gimp-color-scale-set-color-config.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>scale</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpColorScale.html" title="GimpColorScale"><span class="type">GimpColorScale</span></a> widget.</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>config</p></td>
<td class="parameter_description"><p>a <span class="type">GimpColorConfig</span> object.</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-10.html#api-index-2.10">2.10</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpColorScale.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpColorScale-struct"></a><h3>GimpColorScale</h3>
<pre class="programlisting">typedef struct _GimpColorScale GimpColorScale;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpColorScale.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpColorScale--channel"></a><h3>The <code class="literal">“channel”</code> property</h3>
<pre class="programlisting">  “channel”                  <a class="link" href="GimpColorSelector.html#GimpColorSelectorChannel" title="enum GimpColorSelectorChannel"><span class="type">GimpColorSelectorChannel</span></a></pre>
<p>The channel which is edited by the color scale.</p>
<p>Flags: Read / Write / Construct</p>
<p>Default value: GIMP_COLOR_SELECTOR_VALUE</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>